04-21-15 07:32 AM
260 ... 7891011
tools
  1. smoothrunnings's Avatar
    Getting an error "restricted to RIM internal devices only"

    Not sure what what's about?
    09-25-14 10:49 AM
  2. stabstabdie's Avatar
    Getting an error "restricted to RIM internal devices only"

    Not sure what what's about?
    It means you're not using an official 10.3.

    READ
    09-25-14 10:50 AM
  3. smoothrunnings's Avatar
    It means you're not using an official 10.3.

    READ
    So I guess for now people with leaked OS's won't be able to use this?
    09-25-14 10:53 AM
  4. ferdianfredd's Avatar
    only for passport? bad support from blackberry
    09-25-14 10:54 AM
  5. stealthbob's Avatar
    I also had received a call from BB last eve and had a nice long chat about the functions of Blend, it's full BB10 devices Release Date
    This caught my attention....care to share?

    Good for you BTW and also BB for stepping up.
    09-25-14 10:55 AM
  6. stealthbob's Avatar
    only for passport? bad support from blackberry
    It is actually great support if you support them by buying a Passport.

    Incentive programs are nothing new.If you want the latest toy that others have paid for then go buy it, its right there for you to have.
    09-25-14 10:58 AM
  7. albanusalain's Avatar
    So,, I'm feeling a dejavu from BlackBerry over-hype again..
    09-25-14 11:30 AM
  8. stabstabdie's Avatar
    So I guess for now people with leaked OS's won't be able to use this?
    Just read.
    09-25-14 11:36 AM
  9. irweezyy's Avatar
    I wish they made blend for playbook! It would bring it back to life for me!

    Replace bridge with blend!

    Posted via CB10
    09-25-14 11:39 AM
  10. coolcut's Avatar
    I wish they made blend for playbook! It would bring it back to life for me!

    Replace bridge with blend!

    Posted via CB10
    Maybe the android version will work
    irweezyy likes this.
    09-25-14 11:43 AM
  11. Numero12's Avatar
    Q10, Z10, Z30 - when do we get Blend for those? BlackBerry's software update policy is very frustrating. When Apple released iPhone 6 - everyone (devices from 4 years ago) got iOS 8 on same day. But BlackBerry has this frustrating habit of making early-adopters feel like second-class citizens.

    I understand Q10,Z10, Z30 won't get 10.3 OS (that has Blend like in Passport) but instead will skip to 10.3.1 OS update. Which means, it could be several weeks (or maybe several months) before Q10, Z10, Z30 get ability to connect to desktop-BlackBerry Blend.

    This is so frustrating - everytime BlackBerry does this - I feel like we, early adopters and BlackBerry enthusiasts (and there are only a few of us left), stabbed in the chest. Should we abandon BlackBerry? This thought has occurred.


    Dear BlackBerry - you've only a few enthusiast left in this world - can you afford to have them abandon you?
    I agree with You man...
    BlackBerry had months and months to plan the perfect launch and let the new Blend and OS open to all his loyal followers.

    Cheng bad move!

    LP_Rigg likes this.
    09-25-14 12:02 PM
  12. mooda's Avatar
    Its sad that this community has such an attitude. The company announced a new phone. they announced New features to be used on their new phone.

    they made no mention that it would be available to older devices at least publicly. So what are you crying about. you want to use blend right at this moment go buy a passport

    Apple said you want to use apple pay go buy and iphone 6/6+ (just dont upgrade to IOS8.0.1) :P

    I'm an avid leak installer and the stuff that works is great but if it doesn't guess what who care cause technically im not supposed to have it.
    09-25-14 12:21 PM
  13. yamahammer's Avatar
    Q10, Z10, Z30 - when do we get Blend for those? BlackBerry's software update policy is very frustrating. When Apple released iPhone 6 - everyone (devices from 4 years ago) got iOS 8 on same day. But BlackBerry has this frustrating habit of making early-adopters feel like second-class citizens.

    I understand Q10,Z10, Z30 won't get 10.3 OS (that has Blend like in Passport) but instead will skip to 10.3.1 OS update. Which means, it could be several weeks (or maybe several months) before Q10, Z10, Z30 get ability to connect to desktop-BlackBerry Blend.

    This is so frustrating - everytime BlackBerry does this - I feel like we, early adopters and BlackBerry enthusiasts (and there are only a few of us left), stabbed in the chest. Should we abandon BlackBerry? This thought has occurred.


    Dear BlackBerry - you've only a few enthusiast left in this world - can you afford to have them abandon you?
    Back in June when Chen gave us a peek at the Passport it was Clearly noted that the Passport was coming in September and the Classic in October and then 10.3.1 in November for older BB10 devices. He has kept his September promise and no has at this time any right to complain. You want Blend now? Go buy a Passport.

    STL-100-3 OS 10.3.0.1154
    wolfee48 and Lawrie Sherratt like this.
    09-25-14 12:35 PM
  14. wolfee48's Avatar
    Back in June when Chen gave us a peek at the Passport it was Clearly noted that the Passport was coming in September and the Classic in October and then 10.3.1 in November for older BB10 devices. He has kept his September promise and no has at this time any right to complain. You want Blend now? Go buy a Passport.

    STL-100-3 OS 10.3.0.1154
    Exactly this.

    This should be read by everyone else who is complaining.

    Sit tight and wait, Chen is on schedule so far.
    09-25-14 12:56 PM
  15. TheScionicMan's Avatar
    What it takes to properly engineer an OS is on a different time schedule than what would make for a cool release. They worked on the 10.3 release to power the new device, just like they've done with every new BB10 device. After focusing on that, then they can adapt/ optimize the new OS to the older devices. Would you have preferred that they sit on the Passport release until they've completed text step?

    All of this drama is silly. "Stabbed in the chest"? Is that REALLY how it feels? Your life was about to start the post-Blend era but now things are exactly the same as they were a few days ago. Curse you, BBRY!
    09-25-14 01:20 PM
  16. Jimberry Storm's Avatar
    This is stupid. Why are you even complaining? "huh please let me use blend i know it only works on 10.3 but im running a version im not supposed to have so please help hurr no? bb you suck im switching platforms". You even openly ask BlackBerry staff on their forums! I mean, how many brain cells do you have to lack to even think (or not) about telling them?

    Complaining about not releasing 10.3 for all devices is one thing (even tough we already knew older phones were skipping 10.3), but this is something else, completely different and sad.

    Yes, it would've been nice from them to enable it, but they didn't, and you have absolutely no right to complain.

    pin:2B7CAF06
    I will complain about this only, they are able to release a 10.3 or 10.3.1 OS before they release / announce the Classic, but they won't. They want to have big announcements like yesterday to get all the press. Except it isn't doing them any good from what I can tell. Its just frustrating waiting all the time with BB, I mistakenly believed them when they said BBX will leapfrog the compitition years ago. I love my Z30 and would not give it up for anything on the market past or present. But it is hard to love them somtimes. The redsox went back to the top so there is hope...lol
    09-25-14 01:55 PM
  17. ExplicitPromo's Avatar
    One quick technical question is I downloaded Blackberry blend desktop software for Mac from the Blackberry website and I getting a developer validation error and it will not install the desktop software on my Mac. I running Mavericks with the latest updates. Any ideas?
    Goto system preferences on your Mac, Then open Security and Privacy. in bottom of the window click the lock icon so you can authenticate and make changes, then click Allow apps downloaded from: Anywhere.

    Its a Mac security thing. Kinda holding your hand with their apps store until you do this.
    09-25-14 04:21 PM
  18. pradeep23oct's Avatar
    i dont think apple restrict apple pay to 6/6+ just because they are flagship device , apple pay need nfc chip to function
    09-25-14 05:18 PM
  19. Numero12's Avatar
    Back in June when Chen gave us a peek at the Passport it was Clearly noted that the Passport was coming in September and the Classic in October and then 10.3.1 in November for older BB10 devices. He has kept his September promise and no has at this time any right to complain. You want Blend now? Go buy a Passport.
    I think people doesn't want Blend now! I think We all want an official 10.3.1 release. BlackBerry loyal users got tired of leaks and leaks buddy...
    09-25-14 05:50 PM
  20. bakron1's Avatar
    Goto system preferences on your Mac, Then open Security and Privacy. in bottom of the window click the lock icon so you can authenticate and make changes, then click Allow apps downloaded from: Anywhere.

    Its a Mac security thing. Kinda holding your hand with their apps store until you do this.
    Thanks for the info, I have never had to do that with any application in have downloaded and installed from Blackberry before? Oh well.
    09-25-14 06:02 PM
  21. organized_mayhem's Avatar
    i dont think apple restrict apple pay to 6/6+ just because they are flagship device , apple pay need nfc chip to function
    I believe you are right. The 6 is the first to have NFC, correct? That is a hardware issue and not a software issue. Blend is an easily obtainable software issue.
    09-25-14 06:42 PM
  22. yamahammer's Avatar
    I think people doesn't want Blend now! I think We all want an official 10.3.1 release. BlackBerry loyal users got tired of leaks and leaks buddy...
    Not until November. If you are powerful enough maybe you could contact Blackberry directly and convince them to change their focus. Good luck Buddy.

    STL-100-3 OS 10.3.0.1154
    09-25-14 07:00 PM
  23. BBZ10wannabe's Avatar
    If you have $700...

    Posted via CB10
    LOL! Thanks for the chuckle.

    Posted via CB10
    09-25-14 07:20 PM
  24. jimmyt1's Avatar
    I received iOS8 on my 5th gen iTouch and now the battery life is worse, system lags, and it crashes often. I am so grateful.

    Q10, Z10, Z30 - when do we get Blend for those? BlackBerry's software update policy is very frustrating. When Apple released iPhone 6 - everyone (devices from 4 years ago) got iOS 8 on same day. But BlackBerry has this frustrating habit of making early-adopters feel like second-class citizens.
    stealthbob likes this.
    09-25-14 08:29 PM
  25. BK_NY_RAY's Avatar
    Wait so Blend works right now on iOS or Android? If so, how? I live with 3 friends and they have iPhones so I would like to try it.

    Posted via CB10
    09-25-14 11:22 PM
260 ... 7891011

Similar Threads

  1. BlackBerry Passport receives positive & lukewarm reviews
    By Ebuka Allison in forum BlackBerry Passport
    Replies: 161
    Last Post: 10-01-14, 08:05 AM
  2. 10.3.0.1154 leak and Blackberry Blend
    By MaxxJag in forum BlackBerry Blend
    Replies: 16
    Last Post: 09-28-14, 03:59 AM
  3. Download Blackberry Blend
    By sriram5544 in forum BlackBerry Blend
    Replies: 17
    Last Post: 09-24-14, 11:29 AM
  4. Watch This Special Edition CrackBerry Show... Kevin's BlackBerry Passport Review!
    By CrackBerry News in forum CrackBerry.com News Discussion
    Replies: 0
    Last Post: 09-24-14, 09:51 AM
  5. BlackBerry Passport to run 649 in France and Germany, 529 in UK
    By CrackBerry News in forum CrackBerry.com News Discussion
    Replies: 0
    Last Post: 09-24-14, 09:51 AM
LINK TO POST COPIED TO CLIPBOARD